# Get card reissue reasons Get all reissue reasons together with associated costs. To register reasons for reissue: [Open a Jira ticket](doc:opening-a-service-desk-ticket) with type = **Settings** and enter the data below: `cost` - Reissue cost value. This field is for information only - only issuers can make debit entries to a customer's account. `must_block` - Whether the card is canceled at reissue time or can transact until new card is activated. `description` - Reason description. `must_charge` - Will reissue be charged? This field is for information only as only the issuer can make debit entries to a customer's account. `type` - Issuer defined reissue reason enum value # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Card reissue", "description": "Card reissue endpoints" } ], "components": { "schemas": { "ReissueReasons": { "type": "array", "description": "Get reissue card reasons response object", "items": { "type": "object", "properties": { "cost": { "type": "string", "description": "Reissue card cost" }, "must_block": { "type": "boolean", "description": "Must card be blocked?" }, "description": { "type": "string", "description": "Reissue description" }, "id": { "type": "string", "description": "Reissue ID" }, "must_charge": { "type": "boolean", "description": "Must customer be charged?" }, "type": { "type": "string", "description": "Issuer-defined reissue reason enum" } } }, "example": [ { "id": "1720", "description": "Broken card", "type": "BROKEN", "must_charge": false, "must_block": false, "cost": "20.00" }, { "id": "1721", "description": "Name change", "type": "RENAME", "must_charge": false, "must_block": false, "cost": "9.90" }, { "id": "1722", "description": "Customer request", "type": "CLIENT_ORDER", "must_charge": false, "must_block": false, "cost": "9.90" }, { "id": "1723", "description": "Scratched card", "type": "SHAVED", "must_charge": false, "must_block": false, "cost": "9.90" }, { "id": "1724", "description": "Loss of relief", "type": "RELIEF_LOSS", "must_charge": false, "must_block": false, "cost": "9.90" }, { "id": "1725", "description": "Lost", "type": "LOST", "must_charge": false, "must_block": true, "cost": "9.90" }, { "id": "1726", "description": "Robbed", "type": "ROBBED", "must_charge": false, "must_block": true, "cost": "null" }, { "id": "1727", "description": "Theft", "type": "THEFT", "must_charge": false, "must_block": true, "cost": "null" }, { "id": "1728", "description": "Card not received", "type": "UNRECEIVED", "must_charge": false, "must_block": true, "cost": "null" }, { "id": "1729", "description": "Card is not working", "type": "DAMAGED", "must_charge": false, "must_block": false, "cost": "null" }, { "id": "1730", "description": "Defective card", "type": "DEFECT", "must_charge": false, "must_block": false, "cost": "null" }, { "id": "1731", "description": "Incorrect name", "type": "INCORRECT_NAME", "must_charge": false, "must_block": false, "cost": "null" } ] } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "404NotFound": { "description": "The specified resource was not found" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v1/cards/reissue/reasons": { "get": { "operationId": "get-v1-card-reissue-reasons", "summary": "Get card reissue reasons", "tags": [ "Card reissue" ], "description": "Get all reissue reasons together with associated costs.\n\nTo register reasons for reissue:\n\n[Open a Jira ticket](https://developers.pismo.io/pismo-docs/docs/opening-a-service-desk-ticket) with type = **Settings** and enter the data below:\n\n`cost` - Reissue cost value. This field is for information only - only issuers can make debit entries to a customer's account.\n\n`must_block` - Whether the card is canceled at reissue time or can transact until new card is activated.\n\n`description` - Reason description.\n\n`must_charge` - Will reissue be charged? This field is for information only as only the issuer can make debit entries to a customer's account.\n\n`type` - Issuer defined reissue reason enum value\n", "responses": { "200": { "description": "Reissue reasons", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ReissueReasons" } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```